Uploaded image for project: 'Swift Driver'
  1. Swift Driver
  2. SWIFT-1337

Drop Swift 5.1 support

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Unknown
    • Resolution: Fixed
    • None
    • bson-3.2.0, 1.4.0
    • None

    Description

      SwiftNIO recently dropped support for Swift < 5.2 in their 2.30.0 release.

      This is not considered to be a semver breaking change. Swift Package Manager will just not pull in the update for anyone who has an older minimum Swift version.

      We should consider whether we want to go ahead and drop Swift 5.1 ourselves, perhaps in our 1.2 release.

       

      Attachments

        Issue Links

          Activity

            People

              kaitlin.mahar@mongodb.com Kaitlin Mahar
              kaitlin.mahar@mongodb.com Kaitlin Mahar
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: